local SDKPayDefaultManager = {}

function SDKPayDefaultManager:init()
end

function SDKPayDefaultManager:needInit()
	return false
end

function SDKPayDefaultManager:initPay(callback)
	self.products = {}
	if callback then
		callback()
	end
end

function SDKPayDefaultManager:gotProduct()
	return true
end

-- sdk接口 得到特定商品的price
function SDKPayDefaultManager:getProductPrice(skuId)
end

-- sdk接口 得到特定商品的priceAmountMicros
function SDKPayDefaultManager:getProductPriceAmountMicros(skuId)
end

-- sdk接口 得到特定商品的currency_code
function SDKPayDefaultManager:getPriceCurrencyCode(skuId)
end

function SDKPayDefaultManager:getSDKPayType()
	if EDITOR_MODE then
        return SDKManager.PAY_TYPE.DEBUG
    end
	return SDKManager.PAY_TYPE.NONE
end

function SDKPayDefaultManager:getPurchaseArgs(purchaseToken, uuid, channelOrderId, productId)
	local args = {
		channel = self:getSDKPayType(),
		params = {uuid, productId}
	}
	return args
end

-- 获取支付方式,目前只有google支付
function SDKPayDefaultManager:getIsSupportSDKPay()
	return false
end

-- 检查是否可以支付
function SDKPayDefaultManager:checkPay(productId, callback)
	callback(0)
end

-- 支付
function SDKPayDefaultManager:pay(productId, orderId, rechargeId, giftType, purchaseType, giftId, callback)
	callback("", orderId)
end

function SDKPayDefaultManager:doUncompletePay(callback)
end

-- 查询付费产品信息
function SDKPayDefaultManager:queryProducts(callback)
end

-- 处理未完成的订单
function SDKPayDefaultManager:doUncompleteOrder(callback, productId)
end

-- sdk将已完成的订单消耗掉
function SDKPayDefaultManager:consumePurchase(token, callback)
end

return SDKPayDefaultManager
